#include <bits/stdc++.h>
using namespace std;
int i;
int mu(int n)
{
    if(n==1) return 1;
    else return pow(n,i)+mu(n-1);
}
int main()
{
    ifstream f1("DQU.inp");
    ofstream f2("DQU.out");
    int n;
    f1>>n>>i;
    f2<<mu(n);
}
